---
title: "Auditor Release Notes: Version 2.0.0"
layout: inside
permalink: /Patches/2.0.0.html
lead_content: >
    A list of featured updates to the HTML_CodeSniffer bookmarklet in release version 2.0.0, released on 8th January 2013. This list is focused for users of the bookmarklet, and focuses on changes to tests and the auditor interface. A full list of updates can also be found in the project's technical <a href="https://github.com/squizlabs/HTML_CodeSniffer/blob/gh-pages/CHANGELOG.markdown">bookmarklet changelog</a>.
---

### Section 508 Standard Now Available
{: #standards-508}

This release provides initial support for the U.S. ["Section 508" legislation](https://www.section508.gov/).
This is based on the current version of a section of the federal Rehabilitation Act, primarily concerned with equal access to software procured
by the U.S. federal government. It contains (among other things) sixteen rules for web documents that are mostly based upon WCAG 1.0.

This required a number of under-the-hood changes to the auditor, mainly to remove the assumption of only being a WCAG 2.0 bookmarklet.
Notably, standards now define what should be displayed in the auditor. This is so the Section 508 standard can point to the section being violated,
where WCAG 2.0's structure does not fit.

You don't need to re-download the bookmarklet for the Section 508 standard to be available: select "Section508" from the Standards drop-down.

*Note:* If you are preparing a website for the proposed *refresh* of Section 508, you should use the WCAG 2.0 standard, at
Level <abbr title="Double-A">AA</abbr> or higher.

### Auditor Interface
{: #auditor}

#### Bug Fixes
{: #auditor-bugs}

* The auditor now correctly works on XHTML pages served as XML (Content type "application/xhtml+xml").

### WCAG 2.0 Standards Updates
{: #standards-wcag2}

_References to Principles, Guidelines, Success Criteria and Conformance Requirements should be read in line with the [WCAG 2.0 Recommendation][WCAG20]._

#### Updates and bug fixes
{: #standards-wcag2-bugs}

* *Success Criterion 1.3.1:*
     * In the test for labels on inputs, HTML_CodeSniffer would throw JavaScript errors when it encountered an input
element without a "type" attribute. It now correctly handles them as the default "text" type.
* *Success Criterion 1.1.1:*  
    * Links containing an image with missing alt text would emit an Error incorrectly if there was text also included, that was not wrapped inside a tag of its own, like a span.
For example, `<a href="/"><img src="home.gif" /> Home</a>` would emit a false positive. This has been fixed so the error will no longer occur.
    * *Applet* elements with a missing body were being misdiagnosed as a Notice. They are now properly considered an Error.

[WCAG20]: http://www.w3.org/TR/WCAG20
